ReplicationManagerStats (Oracle - Berkeley DB Java API)
Keywords: com.sleepycat.db.ReplicationManagerStats class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationManagerStats

    java.lang.Object
      com.sleepycat.db.ReplicationManagerStats

    public class ReplicationManagerStats

extends Object

Replication Manager statistics for a database environment.

Method Summary
`int` | `getConnectFail()` The The number of times new connection attempts have failed..
`int` | `getConnectionDrop()` The Number of existing connections that have been dropped since the statistics were last reset..
`int` | `getMsgsDropped()` The Number of messages discarded due to queue length overflows..
`int` | `getMsgsQueued()` The The number of messages queued due to a network delay..
`int` | `getPermFailed()` The The number of times a PERM message originating at this site did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout..
`String` | `toString()` For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPermFailed

    public int getPermFailed()

  The The number of times a PERM message originating at this site did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout..

### getMsgsQueued

    public int getMsgsQueued()

  The The number of messages queued due to a network delay..

### getMsgsDropped

    public int getMsgsDropped()

  The Number of messages discarded due to queue length overflows..

### getConnectionDrop

    public int getConnectionDrop()

  The Number of existing connections that have been dropped since the statistics were last reset..

### getConnectFail

    public int getConnectFail()

  The The number of times new connection attempts have failed..

### toString

    public String toString()

  For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2007 Oracle. All rights reserved.